%define upstream_name    Test-Vars
%define upstream_version 0.017

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Detects unused variables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.170.0
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Pipe)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Storable)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Output)
BuildRequires: perl(Test::Tester)
BuildRequires: perl(parent)
BuildArch:  noarch

%description
Test::Vars finds unused variables in order to keep the source code tidy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.17.0-2.mga10
+ Revision: 2227716
- Mageia 10 Mass Rebuild

* Tue Sep 17 2024 tv <tv> 0.17.0-1.mga10
+ Revision: 2097747
- update to 0.017

* Mon Mar 21 2022 umeabot <umeabot> 0.15.0-2.mga9
+ Revision: 1814410
- Mageia 9 Mass Rebuild

* Thu Apr 22 2021 tv <tv> 0.15.0-1.mga9
+ Revision: 1717926
- update to 0.015

* Wed Feb 12 2020 umeabot <umeabot> 0.14.0-4.mga8
+ Revision: 1506589
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.14.0-3.mga7
+ Revision: 1286829
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.14.0-2.mga7
+ Revision: 1166937
- rebuild with fixed rpm for missing autodeps

* Fri Aug 18 2017 sander85 <sander85> 0.14.0-1.mga7
+ Revision: 1141629
- update to 0.014

* Sun Jun 19 2016 pterjan <pterjan> 0.8.0-3.mga6
+ Revision: 1034716
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.8.0-2.mga6
+ Revision: 969429
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.8.0-1.mga6
+ Revision: 868708
- update to 0.008

* Sun Oct 19 2014 umeabot <umeabot> 0.5.0-5.mga5
+ Revision: 789099
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.5.0-4.mga5
+ Revision: 745155
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.0-3.mga5
+ Revision: 686565
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 537485
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.5.0-1.mga4
+ Revision: 487098
- update to 0.005

* Sun Jan 13 2013 umeabot <umeabot> 0.2.0-2.mga3
+ Revision: 373888
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 15 2012 jquelin <jquelin> 0.2.0-1.mga3
+ Revision: 306248
- update to 0.002

* Tue Jan 18 2011 jquelin <jquelin> 0.1.0-1.mga1
+ Revision: 23393
- cleaning spec file
- imported package perl-Test-Vars

